<?php

namespace model;

use DAL\{ArticleGateway, Connection};
use Exception;
use metier\Article;

class ArticleModel
{
    /**
     * @throws Exception
     */
    public static function getArticles() : array
    {
        $gwArticle = new ArticleGateway(new Connection('mysql:host=londres.uca.local;dbname=dbrorossetto', 'rorossetto', 'tpphp'));
        $tabArticle = array();
        $res = $gwArticle->getAllArticles();
        foreach($res as $row){
            $tabArticle[] = new Article($row['id'], $row['title'],$row['datePub'],$row['description'],$row['guid'],$row['link'],$row['mediaContent'],$row['provenance'] );
        }
        return $tabArticle;
    }
}