<?php

namespace model;

use metier\Admin;

class AdminModel
{
    public function connection (string $username, string $mdp){
        //Validation::validationLogin($login);
        //Validation::validationMdp($mdp);

        $gwArticle = new AdminGateway(new Connection('mysql:host= londres.uca.local ; dbname= dbrorossetto', 'rorossetto', 'tpphp'));
        $lmdp = $gwArticle->login($username);

        foreach ($lmdp as $motDePasse){
            if (password_verify($mdp,$motDePasse['mdp'])){
                $_SESSION['role'] = 'admin';
                $_SESSION['pseudo'] = $username;
                return new Admin($username,$motDePasse['mail']);
            }
        }
        return null;
    }

    public static function isAdmin(): bool
    {
        return $_SESSION['role'] == 'admin';
    }
}